--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_ci.c	Sun Jun 11 17:03:20 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_ci.c	Sun Jun 11 17:03:20 2017
@@ -652,9 +652,6 @@
 	hermon_qp_info_t	qpinfo;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*queue_sizes_p))
-
 	/* Grab the Hermon softstate pointer */
 	state = (hermon_state_t *)hca;
 
@@ -691,9 +688,6 @@
 	hermon_qp_info_t	qpinfo;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*queue_sizes_p))
-
 	/* Grab the Hermon softstate pointer */
 	state = (hermon_state_t *)hca;
 
@@ -730,9 +724,6 @@
 	hermon_qp_info_t	qpinfo;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*queue_sizes_p))
-
 	/* Grab the Hermon softstate pointer */
 	state = (hermon_state_t *)hca;
 
@@ -913,7 +904,6 @@
 	*entries_p = cqhdl->cq_bufsz;
 	*count_p = cqhdl->cq_intmod_count;
 	*usec_p = cqhdl->cq_intmod_usec;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cqhdl))
 	*hid_p = HERMON_EQNUM_TO_HID(state, cqhdl->cq_eqnum);
 
 	return (IBT_SUCCESS);
@@ -1015,7 +1005,6 @@
 		return (IBT_CQ_HID_INVALID);
 	if (attrs == NULL)
 		return (IBT_INVALID_PARAM);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attrs))
 	attrs->cha_ih = state->hs_intrmsi_hdl[hid - 1];
 	attrs->cha_dip = state->hs_dip;
 	return (IBT_SUCCESS);
@@ -1113,8 +1102,6 @@
 	hermon_mrhdl_t		mrhdl;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1142,7 +1129,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl->mr_bindinfo.bi_addr;
@@ -1186,8 +1172,6 @@
 	int			status;
 	ibt_mr_flags_t		flags = attrp->mr_flags;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
 
@@ -1214,7 +1198,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl->mr_bindinfo.bi_addr;
@@ -1306,8 +1289,6 @@
 	hermon_mrhdl_t		mrhdl, mrhdl_new;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1333,7 +1314,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl_new))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl_new->mr_bindinfo.bi_addr;
@@ -1376,8 +1356,6 @@
 	hermon_mrhdl_t		mrhdl, mrhdl_new;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_new != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1394,7 +1372,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl_new))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl_new->mr_bindinfo.bi_addr;
@@ -1438,8 +1415,6 @@
 	int			status;
 	ibt_mr_flags_t		flags = attrp->mr_flags;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_new != NULL);
 	ASSERT(mr_desc != NULL);
 
@@ -1455,7 +1430,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl_new))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mrhdl_new->mr_bindinfo.bi_addr;
@@ -1528,7 +1502,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mwhdl))
 
 	/* Return the MW handle and RKey */
 	*mw_p = (ibc_mw_hdl_t)mwhdl;
@@ -1601,8 +1574,6 @@
 	hermon_mrhdl_t		mrhdl;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr_desc))
-
 	ASSERT(mr_attr != NULL);
 	ASSERT(mr_p != NULL);
 	ASSERT(mr_desc != NULL);
@@ -1625,7 +1596,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mr_desc structure */
 	mr_desc->md_vaddr = mr_attr->dmr_paddr;
@@ -2095,7 +2065,6 @@
 		dma_attr.dma_attr_flags |= DDI_DMA_RELAXED_ORDERING;
 #endif
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ma_hdl))
 	status = ddi_dma_alloc_handle(state->hs_dip, &dma_attr,
 	    callback, NULL, &ma_hdl->h_ma_dmahdl);
 	if (status != DDI_SUCCESS) {
@@ -2136,8 +2105,6 @@
 			addr += pagesize;
 			if (addr == 0) {
 				static int do_once = 1;
-				_NOTE(SCHEME_PROTECTS_DATA("safe sharing",
-				    do_once))
 				if (do_once) {
 					do_once = 0;
 					cmn_err(CE_NOTE, "probable error in "
@@ -2150,7 +2117,6 @@
 			ddi_dma_nextcookie(ma_hdl->h_ma_dmahdl, &dmacookie);
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pmr))
 	pmr->pmr_addr_list = (ibt_phys_addr_t *)(void *)ma_hdl->h_ma_kaddr;
 	pmr->pmr_iova = va_attrs->va_vaddr;
 	pmr->pmr_len = len;
@@ -2237,7 +2203,6 @@
 	if (ma_hdl == NULL) {
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ma_hdl))
 
 	status = ddi_dma_alloc_handle(state->hs_dip, &dma_attr,
 	    callback, NULL, &ma_hdl->h_ma_dmahdl);
@@ -2332,8 +2297,6 @@
 			addr += pagesize;
 			if (addr == 0) {
 				static int do_once = 1;
-				_NOTE(SCHEME_PROTECTS_DATA("safe sharing",
-				    do_once))
 				if (do_once) {
 					do_once = 0;
 					cmn_err(CE_NOTE, "probable error in "
@@ -2347,7 +2310,6 @@
 	}
 
 	pmr = &reg_req->wr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pmr))
 	pmr->pmr_len = len;
 	pmr->pmr_offset = va_attrs->va_vaddr & PAGEOFFSET;
 	pmr->pmr_buf_sz = PAGESHIFT;	/* PRM says "Page Size", but... */
@@ -2414,11 +2376,7 @@
 	int			imh_len;
 	ddi_dma_handle_t	imh_dmahandle[1];
 };
-_NOTE(SCHEME_PROTECTS_DATA("safe sharing",
-    ibc_mi_s::imh_len
-    ibc_mi_s::imh_dmahandle))
 
-
 /*
  * hermon_ci_map_mem_iov()
  * Map the memory
@@ -2444,8 +2402,6 @@
 	int			kmflag;
 	int			(*callback)(caddr_t);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*wr))
-
 	state = (hermon_state_t *)hca;
 	hermon_dma_attr_init(state, &dma_attr);
 #ifdef	__sparc
@@ -2476,8 +2432,6 @@
 		if (mi_hdl == NULL)
 			return (IBT_INSUFF_RESOURCE);
 		sgl = wr->send.wr_sgl;
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgl))
-
 		status = ddi_dma_alloc_handle(state->hs_dip, &dma_attr,
 		    callback, NULL, &dmahdl);
 		if (status != DDI_SUCCESS) {
@@ -2519,7 +2473,6 @@
 		sgl = wr->recv.wr_sgl;
 	else
 		sgl = wr->send.wr_sgl;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgl))
 
 	len = iov_attr->iov_list_len;
 	for (i = 0, j = 0; j < len; j++) {
@@ -2627,8 +2580,6 @@
 	hermon_mrhdl_t		mrhdl;
 	int			status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mem_desc_p))
-
 	ASSERT(mr_p != NULL);
 	ASSERT(mem_desc_p != NULL);
 
@@ -2642,7 +2593,6 @@
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mrhdl))
 
 	/* Fill in the mem_desc_p structure */
 	mem_desc_p->pmd_iova = 0;
@@ -2803,12 +2753,10 @@
 	 * If region is mapped for streaming (i.e. noncoherent), then set
 	 * sync is required
 	 */
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mem_desc_p))
 	mem_desc_p->pmd_sync_required = (mrhdl->mr_bindinfo.bi_flags &
 	    IBT_MR_NONCOHERENT) ? B_TRUE : B_FALSE;
 	if (mem_desc_p->pmd_sync_required == B_TRUE) {
 		/* Fill in DMA handle for future sync operations */
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(mrhdl->mr_bindinfo))
 		mrhdl->mr_bindinfo.bi_dmahdl =
 		    (ddi_dma_handle_t)mem_pattr->pmr_ma;
 	}