--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_misc.c	Sun Jun 11 17:03:24 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_misc.c	Sun Jun 11 17:03:24 2017
@@ -512,7 +512,6 @@
 		return (IBT_INSUFF_RESOURCE);
 	}
 	ah = (hermon_ahhdl_t)rsrc->hr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ah))
 
 	/* Increment the reference count on the protection domain (PD) */
 	hermon_pd_refcnt_inc(pd);
@@ -519,7 +518,6 @@
 
 	udav = (hermon_hw_udav_t *)kmem_zalloc(sizeof (hermon_hw_udav_t),
 	    KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*udav))
 
 	/*
 	 * Fill in the UDAV data. We first zero out the UDAV, then populate
@@ -577,7 +575,6 @@
 	rsrc  = ah->ah_rsrcp;
 	pd    = ah->ah_pdhdl;
 	mutex_exit(&ah->ah_lock);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ah))
 
 	/* Free the UDAV memory */
 	kmem_free(ah->ah_udav, sizeof (hermon_hw_udav_t));
@@ -605,7 +602,6 @@
     ibt_adds_vect_t *attr_p)
 {
 	mutex_enter(&ah->ah_lock);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p))
 
 	/*
 	 * Pull the PD and UDAV from the Hermon Address Handle structure
@@ -672,7 +668,6 @@
 		return (status);
 	}
 	ah->ah_save_guid = attr_p->av_dgid.gid_guid;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*(ah->ah_udav)))
 	ah->ah_udav->sl  = attr_p->av_srvl;
 
 	/*
@@ -1819,7 +1814,6 @@
 		return (IBT_INSUFF_RESOURCE);
 	}
 	pd = (hermon_pdhdl_t)rsrc->hr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pd))
 
 	pd->pd_refcnt = 0;
 	*pdhdl = pd;
@@ -1844,7 +1838,6 @@
 	 * PD is going to be freed up as part of this operation.
 	 */
 	pd   = *pdhdl;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pd))
 	rsrc = pd->pd_rsrcp;
 
 	/*
@@ -1908,9 +1901,6 @@
 	ib_pkey_t		*pkeyp;
 	ib_guid_t		*guidp;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pi))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*state))
-
 	/* Validate that specified port number is legal */
 	if (!hermon_portnum_is_valid(state, port)) {
 		return (IBT_HCA_PORT_INVALID);
@@ -2008,7 +1998,6 @@
 		for (j = 0; j < sgid_max; j++) {
 			indx = (i + j);
 			sgid = &pi->p_sgid_tbl[indx];
-			_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgid))
 			sgid->gid_prefix = portinfo.GidPrefix;
 			guidp[indx] = sgid->gid_guid =
 			    guidinfo.GUIDBlocks[j];
@@ -2174,11 +2163,7 @@
 	uint_t		gidtbl_sz;
 	hermon_hw_udav_t *udav;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*av))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*path))
-
 	udav = (hermon_hw_udav_t *)(void *)path;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*udav))
 	path->mlid	= av->av_src_path;
 	path->rlid	= av->av_dlid;
 
@@ -2289,9 +2274,6 @@
 {
 	uint_t		gidtbl_sz;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*path))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*av))
-
 	av->av_src_path	= path->mlid;
 	av->av_dlid	= path->rlid;
 
@@ -2400,8 +2382,6 @@
 	uint64_t		realsize, alloc_mask;
 	int			flag, status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*qa_info))
-
 	/* Set the callback flag appropriately */
 	callback = (sleepflag == HERMON_SLEEP) ? DDI_DMA_SLEEP :
 	    DDI_DMA_DONTWAIT;
@@ -2520,8 +2500,6 @@
 void
 hermon_queue_free(hermon_qalloc_info_t *qa_info)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*qa_info))
-
 	/*
 	 * Depending on how (i.e. from where) we allocated the memory for
 	 * this queue, we choose the appropriate method for releasing the
@@ -2569,7 +2547,6 @@
 		status = IBT_INSUFF_RESOURCE;
 		goto fail;
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*fmrpool))
 
 	mutex_init(&fmrpool->fmr_lock, NULL, MUTEX_DRIVER,
 	    DDI_INTR_PRI(state->hs_intrmsi_pri));
@@ -2609,13 +2586,11 @@
 
 		fmr = (hermon_fmr_list_t *)kmem_zalloc(
 		    sizeof (hermon_fmr_list_t), sleep);
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*fmr))
 
 		fmr->fmr = mr;
 		fmr->fmr_remaps = 0;
 		fmr->fmr_remap_gen = fmrpool->fmr_remap_gen;
 		fmr->fmr_pool = fmrpool;
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 		mr->mr_fmr = fmr;
 
 		if (!i)		/* address of last entry's link */
@@ -2631,7 +2606,6 @@
 	return (IBT_SUCCESS);
 fail2:
 	for (fmr = fmrpool->fmr_free_list; fmr != NULL; fmr = fmr_next) {
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*fmr))
 		fmr_next = fmr->fmr_next;
 		(void) hermon_mr_dealloc_fmr(state, &fmr->fmr);
 		kmem_free(fmr, sizeof (hermon_fmr_list_t));
@@ -2760,17 +2734,14 @@
 	fmrpool->fmr_stat_register++;
 	mutex_exit(&fmrpool->fmr_lock);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*fmr))
 	status = hermon_mr_register_physical_fmr(state, mem_pattr, fmr->fmr,
 	    mem_desc_p);
 	if (status != DDI_SUCCESS) {
 		return (status);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*fmr->fmr))
 	if (hermon_rdma_debug & 0x4)
 		IBTF_DPRINTF_L2("fmr", "  reg: mr %p  key %x",
 		    fmr->fmr, fmr->fmr->mr_rkey);
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*fmr->fmr))
 	if (fmr->fmr_remap_gen != fmrpool->fmr_remap_gen) {
 		fmr->fmr_remap_gen = fmrpool->fmr_remap_gen;
 		fmr->fmr_remaps = 0;
@@ -2796,21 +2767,17 @@
 	int			len;
 
 	fmr = mr->mr_fmr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*fmr))
 	fmrpool = fmr->fmr_pool;
 
 	/* mark as owned by software */
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*(fmr->fmr)))
 	*(uint8_t *)(fmr->fmr->mr_mptrsrcp->hr_addr) = 0xF0;
 
 	if (fmr->fmr_remaps <
 	    state->hs_cfg_profile->cp_fmr_max_remaps) {
 		/* add to remap list */
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*(fmr->fmr)))
 		if (hermon_rdma_debug & 0x4)
 			IBTF_DPRINTF_L2("fmr", "dereg: mr %p  key %x",
 			    fmr->fmr, fmr->fmr->mr_rkey);
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*(fmr->fmr)))
 		mutex_enter(&fmrpool->remap_lock);
 		fmr->fmr_next = NULL;
 		*(fmrpool->fmr_remap_list_tail) = fmr;
@@ -2839,11 +2806,9 @@
 		}
 	} else {
 		/* add to dirty list */
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*(fmr->fmr)))
 		if (hermon_rdma_debug & 0x4)
 			IBTF_DPRINTF_L2("fmr", "dirty: mr %p  key %x",
 			    fmr->fmr, fmr->fmr->mr_rkey);
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*(fmr->fmr)))
 
 		mutex_enter(&fmrpool->dirty_lock);
 		fmr->fmr_next = NULL;