--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_umap.c	Sun Jun 11 17:03:29 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_umap.c	Sun Jun 11 17:03:29 2017
@@ -490,7 +490,6 @@
 	 */
 	dvm_track = (hermon_devmap_track_t *)kmem_zalloc(
 	    sizeof (hermon_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	dvm_track->hdt_offset = off;
 	dvm_track->hdt_state  = state;
 	dvm_track->hdt_refcnt = 1;
@@ -606,7 +605,6 @@
 	 * structure" (in "pvtp").
 	 */
 	dvm_track = (hermon_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state = dvm_track->hdt_state;
 
 	/*
@@ -635,7 +633,6 @@
 	 */
 	new_dvm_track = (hermon_devmap_track_t *)kmem_zalloc(
 	    sizeof (hermon_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*new_dvm_track))
 	new_dvm_track->hdt_offset = 0;
 	new_dvm_track->hdt_state  = state;
 	new_dvm_track->hdt_refcnt = 1;
@@ -674,7 +671,6 @@
 	 * structure" (in "pvtp").
 	 */
 	dvm_track = (hermon_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state	  = dvm_track->hdt_state;
 
 	/*
@@ -895,7 +891,6 @@
 	 */
 	dvm_track = (hermon_devmap_track_t *)kmem_zalloc(
 	    sizeof (hermon_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	dvm_track->hdt_offset = off;
 	dvm_track->hdt_state  = state;
 	dvm_track->hdt_refcnt = 1;
@@ -1005,7 +1000,6 @@
 	 * structure" (in "pvtp").
 	 */
 	dvm_track = (hermon_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state = dvm_track->hdt_state;
 
 	/*
@@ -1034,7 +1028,6 @@
 	 */
 	new_dvm_track = (hermon_devmap_track_t *)kmem_zalloc(
 	    sizeof (hermon_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*new_dvm_track))
 	new_dvm_track->hdt_offset = 0;
 	new_dvm_track->hdt_state  = state;
 	new_dvm_track->hdt_refcnt = 1;
@@ -1073,7 +1066,6 @@
 	 * structure" (in "pvtp").
 	 */
 	dvm_track = (hermon_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state	  = dvm_track->hdt_state;
 
 	/*
@@ -1266,7 +1258,6 @@
 	 */
 	dvm_track = (hermon_devmap_track_t *)kmem_zalloc(
 	    sizeof (hermon_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	dvm_track->hdt_state  = state;
 	dvm_track->hdt_size   = (uint_t)PAGESIZE;
 
@@ -1306,7 +1297,6 @@
 		return (DDI_SUCCESS);
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state = dvm_track->hdt_state;
 
 	/*
@@ -1358,7 +1348,6 @@
 	 * this case, it can be safely ignored.
 	 */
 	dvm_track = (hermon_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	if (dvm_track == NULL) {
 		return;
 	}
@@ -1440,7 +1429,6 @@
 	if (data_sz < sizeof (ibt_mr_data_in_t)) {
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * Ensure that the MR corresponds to userland memory and that it is
@@ -1557,7 +1545,6 @@
 	if (data_sz < sizeof (mlnx_umap_cq_data_out_t)) {
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/* deal with cq_alloc() verses cq_resize() */
 	if (cq->cq_resize_hdl) {
@@ -1620,7 +1607,6 @@
 	if (data_sz < sizeof (mlnx_umap_qp_data_out_t)) {
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the checks, then fill in all the useful
@@ -1711,7 +1697,6 @@
 	if (data_sz < sizeof (mlnx_umap_srq_data_out_t)) {
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the checks, then fill in all the useful
@@ -1772,7 +1757,6 @@
 	if (data_sz < sizeof (mlnx_umap_pd_data_out_t)) {
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the checks, then fill the PD table index
@@ -1843,7 +1827,6 @@
 	if (umapdb == NULL) {
 		return (NULL);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*umapdb))
 
 	/* Fill in the fields in the database entry */
 	umapdb->hdbe_common.hdb_instance  = instance;
@@ -1892,8 +1875,6 @@
 
 	ASSERT(MUTEX_HELD(&hermon_userland_rsrc_db.hdl_umapdb_lock));
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*umapdb))
-
 	/*
 	 * Copy the common portion of the "to-be-added" database entry
 	 * into the "hermon_umap_db_query_t" structure.  We use this structure
@@ -1969,7 +1950,6 @@
 	if (entry == NULL) {
 		return (DDI_FAILURE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*entry))
 
 	/*
 	 * If the flags argument specifies that the entry should
@@ -2033,7 +2013,6 @@
 	status = hermon_umap_db_find(0, (uint64_t)(uintptr_t)umem_cookie,
 	    MLNX_UMAP_MRMEM_RSRC, &value, (HERMON_UMAP_DB_REMOVE |
 	    HERMON_UMAP_DB_IGNORE_INSTANCE), &umapdb);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*umapdb))
 	if (status == DDI_SUCCESS) {
 		instance = umapdb->hdbe_common.hdb_instance;
 		state = ddi_get_soft_state(hermon_statep, instance);
@@ -2092,8 +2071,6 @@
 	hermon_umap_db_common_t	*entry_common, *query_common;
 	uint_t			query_flags;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*((hermon_umap_db_query_t *)q)))
-
 	entry_common = &((hermon_umap_db_entry_t *)e)->hdbe_common;
 	query_common = &((hermon_umap_db_query_t *)q)->hqdb_common;
 	query_flags  = ((hermon_umap_db_query_t *)q)->hqdb_flags;